Subject: Re: bug#13112: 24.2.90; The cygw32 build should disable X11

From: Daniel Colascione <[email-masked]>
Date: Fri, 07 Dec 2012 14:36:16 -0800

On 12/7/12 2:19 PM, Burton Samograd wrote:
> Eli Zaretskii <[email-masked]> writes:
> 
>>> From: Achim Gratz <[email-masked]>
>>> Date: Fri, 07 Dec 2012 20:18:12 +0100
>>>
>>> Glenn Morris writes:
>>>> Maybe you could summarize what the actual problem is, then.
>>>
>>> The problem, as far as I have been able to determine, is that my init
>>> file set a default font that does only exist in X11 but not Windows, so
>>> it was illegal for the cygw32 build, but somehow that managed to sneak
>>> past Emacs' guards and apparently activated X11 code paths that should
>>> not have been in there to begin with.  This then made Emacs hang
>>> whenever it should display UI dialogs (like the file chooser).
>>
>> Are you saying that xterm.c, xfns.c, and xmenu.c are compiled into a
>> cygw32 Emacs?  They shouldn't, AFAIU.
> 
> They are on my build, but I have the proper X11 headers and libraries
> installed in my cygwin. I like it that way so I can display my emacs
> with an x-server.

But you didn't build Emacs with --with-w32, did you? As much as I'd
like a single Emacs binary to support both X11 and W32, we're a long
way away from there.